Ana içeriğe atla

Endpoint

POST /apiops/projects/{projectName}/apiProxies/{apiProxyName}/methods/policies/

Authentication

Requires a Personal API Access Token.
Authorization: Bearer YOUR_TOKEN

Request

Headers

HeaderValueRequired
AuthorizationBearer Yes
Content-Typeapplication/jsonYes

Path Parameters

ParameterTypeRequiredDescription
projectNamestringYesProject name
apiProxyNamestringYesAPI Proxy name

Request Body

Full JSON Body Example

{
  "name": "/api/users",
  "httpMethod": "GET"
}

Request Body Fields

FieldTypeRequiredDescription
namestringYesMethod path/name
httpMethodstringYesHTTP method for the method. See EnumHttpRequestMethod

Query Parameters

None

Response

Success Response (200 OK)

{
  "id": "endpoint-id",
  "endpoint": "/api/users",
  "description": "Get all users",
  "active": true,
  "httpMethod": "GET",
  "backendResourceUrl": "/users",
  "backendHttpMethod": "GET",
  "requestPolicyList": [
    {
      "type": "policy-api-based-throttling",
      "name": "throttling-policy",
      "description": "Throttling policy",
      "active": true
    }
  ],
  "responsePolicyList": [
    {
      "type": "policy-script",
      "name": "response-logging",
      "description": "Response logging",
      "active": true
    }
  ],
  "errorPolicyList": []
}

Response Fields

FieldTypeDescription
idstringMethod unique identifier
endpointstringMethod path/name
descriptionstringMethod description
activebooleanWhether method is active/enabled
httpMethodstringHTTP method for the method
backendResourceUrlstringBackend resource URL
backendHttpMethodstringHTTP method for backend call
requestPolicyListarrayList of request pipeline policies
responsePolicyListarrayList of response pipeline policies
errorPolicyListarrayList of error pipeline policies

Policy Object Fields (in policy lists)

FieldTypeDescription
typestringPolicy type
namestringPolicy name
descriptionstringPolicy description
activebooleanWhether policy is active
Note: Policy objects contain only basic information. For full policy configuration details, use the Policies API.

EnumHttpRequestMethod

  • GET, POST, PUT, DELETE, PATCH, OPTIONS, HEAD, TRACE, ALL

Error Response (400 Bad Request)

{
  "error": "bad_request",
  "error_description": "Endpoint identifier (name and httpMethod) must be provided in request body!"
}
or
{
  "error": "bad_request",
  "error_description": "Endpoint with name (/api/users) and HTTP method (GET) is not found!"
}

Error Response (401 Unauthorized)

{
  "error": "unauthorized_client",
  "error_description": "Invalid token"
}

Error Response (400 Bad Request - API Proxy Not Found)

{
  "error": "bad_request",
  "error_description": "ApiProxy (name: MyAPI) is not found!"
}

cURL Example

curl -X POST \
  "https://demo.apinizer.com/apiops/projects/MyProject/apiProxies/MyAPI/methods/policies/" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "/api/users",
    "httpMethod": "GET"
  }'

Permissions

User must have API_MANAGEMENT + VIEW permission in the project.

Notes and Warnings

  • Method Identifier: The method is identified by the combination of name (path) and httpMethod — not by ID
  • Policy Details: Policy objects contain basic information only. For full policy configuration, use the Policies API
  • Empty Lists: If no policies exist in a pipeline, an empty array is returned
  • Difference from List Endpoint Policies: This endpoint uses the /methods/policies/ path and follows the same pattern as the other methods-based endpoints